# 获取当前用户的累充奖励链

客户端接口。获取当前用户的累充奖励链。


  注意
    所有项目对响应中可获取的商品数量均有限制。默认值和最大值均为每个响应50个商品。如需按页获取更多数据，请使用limit和offset字段。





  注：
    此API调用使用用户JWT进行授权。
    请在Authorization请求头中按以下格式传入令牌：Bearer &lt;user_JWT&gt;。关于用户JWT的更多信息，请参阅此调用的安全性部分。

Endpoint: GET /v2/project/{project_id}/user/reward_chain
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

## Query parameters:

  - `limit` (integer)
    页面上元素数量的限制。
    Example: 50

  - `offset` (integer)
    生成列表时作为起始位置的元素编号（从0开始计数）。

## Response 200 fields (application/json):

  - `has_more` (boolean)
    用作指示还有更多页面。
    Example: true

  - `total_items_count` (integer)
    系统中累充奖励链的总数。
    Example: 10

  - `items` (array)

  - `items.reward_chain_id` (integer)
    累充奖励链ID。
    Example: 9

  - `items.name` (string)
    累充奖励链名称。
    Example: "Weekly quest"

  - `items.description` (string,null)
    奖励链描述。
    Example: "Major weekly quest"

  - `items.long_description` (string,null)
    累充奖励链详细描述。
    Example: "You can get a lot of additional items just by shopping during the week"

  - `items.image_url` (string,null)
    图片URL。

  - `items.order` (integer)
    定义排列顺序。

  - `items.date_start` (string)
    累充奖励链的开始日期。

  - `items.date_end` (string,null)
    累充奖励链促销活动的结束日期。可以是null。如果date_end为null，则累充奖励链无时间限制。

  - `items.clan_type` (string,null)
    公会类型。
    Enum: "clan", "guild", "faction", "community", "team", "squad", "alliance", "association", "coalition", "union", "group", "civilizations", "dynasty", "order", "league", "brotherhood", "kingdom", "organization", "house", "empire", "tribe", "cartel", null

  - `items.top_contributors` (array)

  - `items.top_contributors.name` (string)
    在授权过程中向艾克索拉发送的用户ID。用户ID用于将用户与您的艾克索拉登录管理器项目相关联，并显示为昵称。如果使用按[用户ID](https://developers.xsolla.com/zh/solutions/web-shop/create-web-shop/set-up-authentication/?tabs=100-UserIDAuth&link=100-UserIDAuth)授权，建议在[Webhook响应](https://developers.xsolla.com/zh/webhooks/operation/user-validation-in-webshop/)中传入name参数。该参数包含将用作昵称的用户名。
    Example: "Rocket"

  - `items.top_contributors.contributed_amount` (integer)
    用户获得的累充积分数量。
    Example: 100

  - `items.value_point` (object)

  - `items.value_point.sku` (string)
    唯一累充积分ID。

  - `items.value_point.name` (string)
    累充积分名称。

  - `items.value_point.image_url` (string)
    图片URL。

  - `items.value_point.description` (string,null)
    累充积分描述。

  - `items.value_point.long_description` (string,null)
    累充积分详细描述。

  - `items.value_point.amount` (integer)
    累充积分数量。

  - `items.value_point.is_clan` (boolean)
    累充积分是否用于公会累充奖励链。

  - `items.steps` (array)

  - `items.steps.step_id` (integer)
    步骤ID。
    Example: 10

  - `items.steps.name` (string)
    步骤名称。
    Example: "Level 1"

  - `items.steps.is_claimed` (boolean)
    该步骤奖励是否已领取。

  - `items.steps.image_url` (string)
    图片URL。

  - `items.steps.price` (object)

  - `items.steps.price.amount` (integer)
    用户在该步骤中领取的累充积分数量。
    Example: 100

  - `items.steps.reward` (array)

  - `items.steps.reward.sku` (string)
    唯一商品ID。SKU只能包含大小写英文字母、数字、句点、短横线和下划线。

  - `items.steps.reward.name` (string)
    商品名称。
    Example: "Super box"

  - `items.steps.reward.type` (string)
    商品类型。
    Example: "bundle"

  - `items.steps.reward.description` (string)
    商品描述。
    Example: "Super box with items"

  - `items.steps.reward.image_url` (string)
    图片URL。

  - `items.steps.reward.quantity` (integer)
    商品数量。
    Example: 2

  - `items.recurrent_schedule` (object,null)
    累充奖励链的重置周期。

  - `items.recurrent_schedule.interval_type` (any)

  - `items.recurrent_schedule.reset_next_date` (integer)
    计算得出的累充奖励链下次重置日期和时间（Unix时间戳）。例如，累充奖励链从2024年3月1日吉隆坡时间01:00（GMT+8）开始按月重置。下一次累充奖励链重置日期和时间为2024年4月1日吉隆坡时间01:00（GMT+8），相当于2024年3月31日17:00（GMT+0），对应的Unix时间戳为1711904400000。示例：1711904400000

  - `items.popup_header` (object,null)
    包含公会累充奖励链提示弹窗本地化标题的对象。使用两个小写字母的[语言代码](https://developers.xsolla.com/zh/doc/pay-station/features/localization/)。

  - `items.popup_header.en` (string,null)
    Example: "How to unlock rewards"

  - `items.popup_header.ar` (string,null)

  - `items.popup_header.bg` (string,null)

  - `items.popup_header.cn` (string,null)

  - `items.popup_header.cs` (string,null)

  - `items.popup_header.de` (string,null)
    Example: "Wie man Belohnungen freischaltet"

  - `items.popup_header.es` (string,null)
    Example: "Cómo desbloquear recompensas"

  - `items.popup_header.fr` (string,null)
    Example: "Comment débloquer des récompenses"

  - `items.popup_header.he` (string,null)

  - `items.popup_header.it` (string,null)
    Example: "Come sbloccare ricompense"

  - `items.popup_header.ja` (string,null)
    Example: "報酬をアンロックする方法"

  - `items.popup_header.ko` (string,null)

  - `items.popup_header.pl` (string,null)

  - `items.popup_header.pt` (string,null)

  - `items.popup_header.ro` (string,null)

  - `items.popup_header.ru` (string,null)

  - `items.popup_header.th` (string,null)

  - `items.popup_header.tr` (string,null)

  - `items.popup_header.tw` (string,null)

  - `items.popup_header.vi` (string,null)

  - `items.popup_instruction` (object,null)
    包含公会累充奖励链提示弹窗本地化说明的对象。使用两个小写字母的[语言代码](https://developers.xsolla.com/zh/doc/pay-station/features/localization/)。

  - `items.popup_instruction.en` (string,null)
    Example: "You must be a clan member to get clan rewards. You join a clan when a clan member invites you to the clan, and you accept the invite. You can also create your own clan."

  - `items.popup_instruction.ar` (string,null)

  - `items.popup_instruction.bg` (string,null)

  - `items.popup_instruction.cn` (string,null)

  - `items.popup_instruction.cs` (string,null)

  - `items.popup_instruction.de` (string,null)
    Example: "Du musst ein Clanmitglied sein, um Clananreize zu erhalten. Du trittst einem Clan bei, wenn ein Clanmitglied dich einlädt, und du die Einladung annimmst. Du kannst auch deinen eigenen Clan erstellen."

  - `items.popup_instruction.es` (string,null)
    Example: "Debes ser miembro de un clan para obtener las recompensas del clan. Te unes a un clan cuando un miembro del clan te invita al clan y aceptas la invitación. También puedes crear tu propio clan."

  - `items.popup_instruction.fr` (string,null)
    Example: "Vous devez être membre d'un clan pour obtenir les récompenses du clan. Vous rejoignez un clan lorsque qu'un membre du clan vous invite au clan et que vous acceptez l'invitation. Vous pouvez également créer votre propre clan."

  - `items.popup_instruction.he` (string,null)

  - `items.popup_instruction.it` (string,null)
    Example: "Devi essere un membro del clan per ottenere le ricompense del clan. Ti unisci a un clan quando un membro del clan ti invita al clan e accetti l'invito. Puoi anche creare il tuo clan."

  - `items.popup_instruction.ja` (string,null)
    Example: "クランリワードを受け取るには、クランメンバーでなければなりません。 クランメンバーがあなたをクランに招待し、招待を受け入れると、クランに参加できます。 あなた自身のクランを作成することもできます。"

  - `items.popup_instruction.ko` (string,null)

  - `items.popup_instruction.pl` (string,null)

  - `items.popup_instruction.pt` (string,null)

  - `items.popup_instruction.ro` (string,null)

  - `items.popup_instruction.ru` (string,null)

  - `items.popup_instruction.th` (string,null)

  - `items.popup_instruction.tr` (string,null)

  - `items.popup_instruction.tw` (string,null)

  - `items.popup_instruction.vi` (string,null)

  - `items.popup_image_url` (string,null)
    公会累充奖励链提示弹出窗口的图片。


